/* Additional styles specific for admin app. */

/* Informational texts in forms. */

form.form_ll p.info {
    margin-top: 4px;
    font-size: 0.9em;
    color: #333;
}

/* Styles for autocomplete function. */
div.wicket-aa {
    font-family: Verdana, Arial, sans-serif;
    background-color: white;
    border: 1px solid #cccccc;
    padding: 2px;
    margin: 1px 0 0 0;
    text-align: left;
}

div.wicket-aa ul {
    list-style: none;
    padding: 2px;
    margin: 0;
}

div.wicket-aa ul li {
    padding: 2px;
    margin: 0;
    background: none;
}

div.wicket-aa ul li.selected {
    background-color: #FFFF00;
}

div.wicket-aa em {
    font-weight: bold;
    font-style: normal;
}

.autocompletevspace {
    min-height: 21em;
}

/* Fix padding of li and a in funcmenu. */
.func_links li {
    padding: 0.3636em 0.9091em;
}

.func_links a {
    padding: 0;
}

/* Override width of query input. */
input.text.wide {
    width: 350px !important;
}

input.submit.inline {
    left: auto !important;
    position: relative !important;
}

/* Undo toolkit styling for label that is used as a legend in an inner fieldset. */
form.form_ll fieldset fieldset label.fsdesc {
    margin-left: 0;
    display: inline-block;
    width: 12.2em;
    float: left;
}

/* Override definition lists to display information in a form. */
form.form_ll dl dt {
    display: block;
    width: 12em;
}

form.form_ll dl dd {
    display: block;
    margin-left: 12.3em;
    width: auto;
}

/* Per field feedback messages. */
form p.inputError > span {
    color: red;
}

form p.inputWarn > span {
    color: orange;
}

form p.inputInfo > span {
}

/* Override top/bottom margin for toolkit feedback messages. */
.message_err,
.message_info {
    margin-top: 0;
    margin-bottom: 1.5em;
}

/* Additional feedback message types. */

/* lists in error and/or info box */
.message_ok ul,
.message_ok ol {
    margin: 0;
}

/* Message + info box */
.message_ok {
    margin-top: 0;
    margin-bottom: 1.5em;
    padding: 8px 10px 5px 34px;
    background: #ccdeba url(skin/message_ok.png) .5em .5em no-repeat;
}

#home .message_ok h2,
.message_ok h2 {
    font-size: 1.3em;
}

.message_ok p {
    margin-bottom: 0.1em;
}

/* Top margin when used below a header. */
.message_err.inline,
.message_info.inline,
.message_info_ok.inline {
    margin-top: 1.5em;
}

/* Icons in CPA table on ProfilePage. */
table.cpatable span.cpaicon {
    width: 20px;
    height: 20px;
    display: block;
}

table.cpatable span.valid {
    background: transparent url(skin/message_ok.png) center top no-repeat;
}

table.cpatable span.aboutToExpire {
    background: transparent url(skin/message_info.png) center top no-repeat;
}

table.cpatable span.expired {
    background: transparent url(skin/message_err.png) center top no-repeat;
}
